import { SimpleLocalIntegration } from '../../core/index.js';
import { HomevoltConfigFlow } from './homevolt.classes.configflow.js';
import { createHomevoltDiscoveryDescriptor } from './homevolt.discovery.js';
import type { IHomevoltConfig } from './homevolt.types.js';
import { homevoltDomain, homevoltProfile } from './homevolt.types.js';

export class HomevoltIntegration extends SimpleLocalIntegration<IHomevoltConfig> {
  public readonly domain = homevoltDomain;
  public readonly discoveryDescriptor = createHomevoltDiscoveryDescriptor();
  public readonly configFlow = new HomevoltConfigFlow();

  constructor() {
    super(homevoltProfile);
  }
}

export class HomeAssistantHomevoltIntegration extends HomevoltIntegration {}
